
%global meadversion 2.0.0
%global namedversion 2.0.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package aesh-readline}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.redhat-00001

Name:           %{?scl_prefix}aesh-readline
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Aesh Readline and terminal
Group:          Development/Java

%if %with mead
Source100: readline-all-2.0.0.redhat-00001-project-sources.tar.gz
Source102: readline-2.0.0.redhat-00001-sources.jar
Source103: terminal-api-2.0.0.redhat-00001.pom
Source104: terminal-ssh-2.0.0.redhat-00001.jar
Source105: readline-all-2.0.0.redhat-00001.pom
Source106: terminal-http-2.0.0.redhat-00001.jar
Source107: terminal-telnet-2.0.0.redhat-00001-sources.jar
Source108: readline-2.0.0.redhat-00001-tests.jar
Source109: terminal-ssh-2.0.0.redhat-00001-sources.jar
Source110: terminal-telnet-2.0.0.redhat-00001.jar
Source111: terminal-http-2.0.0.redhat-00001-sources.jar
Source112: terminal-telnet-2.0.0.redhat-00001.pom
Source113: terminal-api-2.0.0.redhat-00001-tests.jar
Source114: terminal-http-2.0.0.redhat-00001-tests.jar
Source115: terminal-api-2.0.0.redhat-00001.jar
Source116: readline-2.0.0.redhat-00001.jar
Source117: readline-2.0.0.redhat-00001.pom
Source118: terminal-telnet-2.0.0.redhat-00001-tests.jar
Source119: terminal-ssh-2.0.0.redhat-00001.pom
Source120: terminal-ssh-2.0.0.redhat-00001-tests.jar
Source121: terminal-api-2.0.0.redhat-00001-sources.jar
Source122: terminal-http-2.0.0.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/aeshell/aesh-readline
BuildArch:      noarch
BuildRoot:      %{_tmppath}/aesh-readline-%{namedversion}-%{release}-root

%description
Aesh (Another Extendable SHell) Readline and Terminal API.

%package -n %{?scl_prefix}aesh-terminal-api
Summary:        Aesh (Another Extendable SHell) Terminal API
Group:          Development/Java


%description -n %{?scl_prefix}aesh-terminal-api
Aesh (Another Extendable SHell) Terminal API.

%package -n %{?scl_prefix}aesh-terminal-http
Summary:        Aesh (Another Extendable SHell) Terminal http
Group:          Development/Java


%description -n %{?scl_prefix}aesh-terminal-http
Aesh (Another Extendable SHell) Terminal http.

%package -n %{?scl_prefix}aesh-terminal-ssh
Summary:        Aesh (Another Extendable SHell) Terminal ssh
Group:          Development/Java


%description -n %{?scl_prefix}aesh-terminal-ssh
Aesh (Another Extendable SHell) Terminal ssh.

%package -n %{?scl_prefix}aesh-terminal-telnet
Summary:        Aesh (Another Extendable SHell) Terminal telnet
Group:          Development/Java


%description -n %{?scl_prefix}aesh-terminal-telnet
Aesh (Another Extendable SHell) Terminal telnet.

%if %with javadoc
%package javadoc
Summary:        Javadoc for aesh-readline
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n readline-all-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/readline-%{namedversion}.jar %{buildroot}%{_javadir}/readline-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/readline-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/readline-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/readline-%{namedversion}-sources.jar %{buildroot}%{_javadir}/readline-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/terminal-api-%{namedversion}.jar %{buildroot}%{_javadir}/terminal-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/terminal-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/terminal-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/terminal-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/terminal-api-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/terminal-http-%{namedversion}.jar %{buildroot}%{_javadir}/terminal-http-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/terminal-http-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/terminal-http-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/terminal-http-%{namedversion}-sources.jar %{buildroot}%{_javadir}/terminal-http-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/terminal-ssh-%{namedversion}.jar %{buildroot}%{_javadir}/terminal-ssh-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/terminal-ssh-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/terminal-ssh-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/terminal-ssh-%{namedversion}-sources.jar %{buildroot}%{_javadir}/terminal-ssh-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/terminal-telnet-%{namedversion}.jar %{buildroot}%{_javadir}/terminal-telnet-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/terminal-telnet-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/terminal-telnet-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/terminal-telnet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/terminal-telnet-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/readline-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/readline-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/readline-%{namedversion} -x META-INF/\*
%{__ln_s} readline-%{namedversion} %{buildroot}%{_javadocdir}/readline
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.asciidoc
%{_javadir}/readline-%{namedversion}.jar
%{_javadir}/readline.jar
%if %with javadoc
%{_javadir}/readline-%{namedversion}-javadoc.jar
%{_javadir}/readline-javadoc.jar
%endif
%{_javadir}/readline-%{namedversion}-sources.jar
%{_javadir}/readline-sources.jar

%files -n %{?scl_prefix}aesh-terminal-api
%{_javadir}/terminal-api-%{namedversion}.jar
%{_javadir}/terminal-api.jar
%if %with javadoc
%{_javadir}/terminal-api-%{namedversion}-javadoc.jar
%{_javadir}/terminal-api-javadoc.jar
%endif
%{_javadir}/terminal-api-%{namedversion}-sources.jar
%{_javadir}/terminal-api-sources.jar

%files -n %{?scl_prefix}aesh-terminal-http
%{_javadir}/terminal-http-%{namedversion}.jar
%{_javadir}/terminal-http.jar
%if %with javadoc
%{_javadir}/terminal-http-%{namedversion}-javadoc.jar
%{_javadir}/terminal-http-javadoc.jar
%endif
%{_javadir}/terminal-http-%{namedversion}-sources.jar
%{_javadir}/terminal-http-sources.jar

%files -n %{?scl_prefix}aesh-terminal-ssh
%{_javadir}/terminal-ssh-%{namedversion}.jar
%{_javadir}/terminal-ssh.jar
%if %with javadoc
%{_javadir}/terminal-ssh-%{namedversion}-javadoc.jar
%{_javadir}/terminal-ssh-javadoc.jar
%endif
%{_javadir}/terminal-ssh-%{namedversion}-sources.jar
%{_javadir}/terminal-ssh-sources.jar

%files -n %{?scl_prefix}aesh-terminal-telnet
%{_javadir}/terminal-telnet-%{namedversion}.jar
%{_javadir}/terminal-telnet.jar
%if %with javadoc
%{_javadir}/terminal-telnet-%{namedversion}-javadoc.jar
%{_javadir}/terminal-telnet-javadoc.jar
%endif
%{_javadir}/terminal-telnet-%{namedversion}-sources.jar
%{_javadir}/terminal-telnet-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/readline-%{namedversion}
%{_javadocdir}/readline
%endif

%changelog
* Fri Nov 01 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.0-1.redhat_00001.1
- 2.0.0.redhat-00001

* Fri Nov 01 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.0-1.redhat_00001.1
- 2.0.0.redhat-00001

* Fri Nov 01 2019 Permaine Cheung <pcheung@redhat.com> - 1.17.0-3.redhat_00001.1
- 2.0.0.redhat-00001

* Wed Jul 24 2019 Permaine Cheung <pcheung@redhat.com> - 1.17.0-2.redhat_00001.1
- Rewrap to fix Requires

* Mon Jun 17 2019 Permaine Cheung <pcheung@redhat.com> - 1.17.0-1.redhat_00001.1
- 1.17.0.redhat-00001

* Wed Jun 05 2019 Yong Yang <yyang@redhat.com> - 1.14.0-2.redhat_00001.1
- RPM wrapper build

* Thu May 23 2019 Permaine Cheung <pcheung@redhat.com> - 1.14.0-1.redhat_00001.1
- 1.14.0.redhat-00001

* Mon Jul 23 2018 Petr Sakar <psakar@redhat.com> - 1.10.0-1.redhat_00001.1
- upgrade to 1.10.0.redhat-00001

* Tue Jun 26 2018 Permaine Cheung <pcheung@redhat.com> - 1.7.0-3.redhat_1.1
- Rewrap (split into subpackages)

* Mon Jun 11 2018 Permaine Cheung <pcheung@redhat.com> - 1.7.0-2.redhat_1.1
- Rewrap for 7.2.0

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.7.0-1.redhat_1.1
- upgrade to 1.7.0.redhat-1

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.7.0-1.redhat_1.1
- upgrade to 1.7.0.redhat-1

* Mon May 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.7.0-1.redhat_1.1
- upgrade to 1.7.0.redhat-1

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.5.0-1.redhat_1.1
- 1.5.0.redhat-1 

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.5.0-1.redhat_1.1
- 1.5.0.redhat-1 

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.5.0-1.redhat_1.1
- 1.5.0.redhat-1
